
# DO NOT EDIT THIS FILE -- AUTOGENERATED BY PANTS
# Target: src/python/arcor2_fanuc:arcor2_fanuc_dist

from setuptools import setup

setup(**{
    'author': 'Robo@FIT',
    'author_email': 'imaterna@fit.vut.cz',
    'classifiers': [
        'Development Status :: 3 - Alpha',
        'Intended Audience :: Developers',
        'Topic :: Software Development :: Build Tools',
        'License :: OSI Approved :: GNU Lesser General Public License v3 (LGPLv3)',
        'Programming Language :: Python :: 3.11',
        'Natural Language :: English',
        'Topic :: Scientific/Engineering',
    ],
    'description': 'ARCOR2 Fanuc Service',
    'entry_points': {
        'console_scripts': [
            'arcor2_fanuc = arcor2_fanuc.scripts.fanuc:main',
        ],
    },
    'install_requires': (
        'Flask~=3.0.2',
        'arcor2~=1.3.0',
        'fanucpy~=0.1.14',
        'requests~=2.31.0',
        'types-requests==2.31.0.20240311',
    ),
    'license': 'LGPL',
    'long_description': """# arcor2_fanuc

For the server to work, there must be a running [MAPPDK driver](https://github.com/torayeff/fanucpy) on the robot. So far, it has been tested with LRMate 200iD/7L (for which there is also a model, adapted from [ROS Industrial](https://github.com/ros-industrial/fanuc)), but it should work with any robot driven by the R-30iB Mate Plus Controller.

## Environment variables

- `ARCOR2_FANUC_SERVICE_NAME` - set the service name ("Fanuc Service" by default).
- `ARCOR2_FANUC_SERVICE_URL=http://0.0.0.0:5027` - by default, the service listens on port 5027.
- `ARCOR2_FANUC_ROBOT_HOST` - ip address of the robot ("192.168.104.140" by default).
- `ARCOR2_FANUC_ROBOT_PORT` - port of the MAPPDK server (18735 by default).
- `ARCOR2_FANUC_EEF_DO_NUM` - digital output which controls the end effector (1 by default).
- `ARCOR2_FANUC_MAX_VELOCITY` - max TCP velocity (mm/s, 6000 by default).
- `ARCOR2_FANUC_MAX_ACCELERATION` - max TCP acceleration (mm/s-2, 100 by default).
- `ARCOR2_FANUC_Z_AXIS_OFFSET` - offset between base and origin of robot's world coordinate system, which is at J2 (330 by default). 
 `ARCOR2_FANUC_DEBUG=1` - turns on debug logging.
# Changelog

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),

## [0.4.0] - 2024-04-11

### Changed

- Updated dependencies, switched to Python 3.11.

## [0.3.0] - 2022-10-28

### Changed

- Switched to Python 3.10, updated dependencies.

## [0.2.0] - WIP

### Changed

- **BREAKING**: Implement new error handling flow. Error codes of **every** endpoint were replaced with error 
  types as described in swagger documentation.

- Update API description.

### Added

- New exception classes

## [0.1.0] - 2022-05-23

### Added
- Initial release of the Fanuc Service - REST API based on `fanucpy` library.
- The package also contains universal ObjectType and a URDF model for LRMate 200iD/7L (adapted from ROS Industrial).""",
    'long_description_content_type': 'text/markdown',
    'name': 'arcor2_fanuc',
    'namespace_packages': (
    ),
    'package_data': {
        'arcor2_fanuc': (
            'VERSION',
            'py.typed',
        ),
    },
    'packages': (
        'arcor2_fanuc',
        'arcor2_fanuc.scripts',
    ),
    'python_requires': '==3.11.*',
    'version': '0.4.0',
})
